Thread (5 messages) flat view 5 messages, 2 authors, 2016-06-15

Re: [PATCH, 2nd version] git-fetch, git-branch: Support local --track via a special remote `.'

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:42:59

Paolo Bonzini [off-list ref] writes:
	I hope this is what you meant in your reply to my message.
Almost, except I wouldn't have made this part of fetch_native()
like this:
quoted hunk ↗ jump to hunk
diff --git a/git-fetch.sh b/git-fetch.sh
index b9d7a75..e2a6878 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -164,6 +164,12 @@ then
 fi
 
 fetch_native () {
+  if test "$(get_data_source $remote_nick)" = builtin; then
+    for name in $(get_remote_fetch_branches "$remote_nick"); do
+      append_fetch_head $(git-rev-parse "$name") . "$name" "$name" || exit
+    done
+    return
+  fi
 
   eval=$(echo "$1" | git-fetch--tool parse-reflist "-")
   eval "$eval"
but probably would have created another sub, fetch_fake.
	I removed completely the configuration variable since it made
	no sense to me, either.
I think that is sensible.

Currently the patch is parked at the tip of 'pu' after merging
all the other topics, as the test t9101 seems to expose breakage
in "git pull . remotes/git-svn".
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help